Liens
GET https://qrcode.meerabl.com/api/links/
curl --request GET \
--url 'https://qrcode.meerabl.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcode.meerabl.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne de caractères | Chaîne de recherche. |
| search_by | Facultatif Chaîne de caractères | Champ dans lequel effectuer la recherche. Valeurs autorisées : url, location_url, name. |
| is_enabled | Facultatif Booléen | |
| domain_id | Facultatif Entier | |
| datetime_field | Facultatif Chaîne de caractères | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne de caractères | Filtrer les résultats à partir de cette date et heure. Format : Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne de caractères | Filtrer les résultats jusqu'à cette date et heure. Format : Y-m-d H:i:s. |
| order_by | Facultatif Chaîne de caractères | Champ utilisé pour trier les résultats. Valeurs autorisées : link_id, datetime, last_datetime, url, location_url, pageviews, name. |
| order_type | Facultatif Chaîne de caractères | Sens du tri. Valeurs autorisées : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Numéro de la page à récupérer. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaité par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-09-15 20:21:47",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcode.meerabl.com/api/links?page=1",
"last": "https://qrcode.meerabl.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qrcode.meerabl.com/api/links?page=1"
}
}
GET https://qrcode.meerabl.com/api/links/{link_id}
curl --request GET \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-09-15 20:21:47",
}
}
POST https://qrcode.meerabl.com/api/links
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Obligatoire Chaîne de caractères | URL de destination.Disponible lorsque : is_bulk = 0 |
| location_urls | Obligatoire Chaîne de caractères | URL de destination.Disponible lorsque : is_bulk = 1 |
| url | Facultatif Chaîne de caractères | Alias de l'URL générée. Laissez ce champ vide pour générer un alias aléatoire.Disponible lorsque : is_bulk = 0 |
| is_bulk | Facultatif Booléen | |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne de caractères | Disponible lorsque : schedule = true |
| end_date | Facultatif Chaîne de caractères | Disponible lorsque : schedule = true |
| pageviews_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne de caractères | - |
| password | Facultatif Chaîne de caractères | - |
| is_se_visible | Facultatif Booléen | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne de caractères | - |
| utm_medium | Facultatif Chaîne de caractères | - |
| utm_campaign | Facultatif Chaîne de caractères | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne de caractères | - |
| cloaking_meta_description | Facultatif Chaîne de caractères | - |
| cloaking_custom_js | Facultatif Chaîne de caractères | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| targeting_type | Facultatif Chaîne de caractères | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = continent_code |
| targeting_country_code_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = country_code |
| targeting_city_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = city_name |
| targeting_device_type_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = device_type |
| targeting_browser_language_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_language |
| targeting_rotation_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = rotation |
| targeting_os_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = os_name |
| targeting_browser_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_name |
curl --request POST \
--url 'https://qrcode.meerabl.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcode.meerabl.com/' \
--url 'https://qrcode.meerabl.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcode.meerabl.com/' \
{
"data": {
"id": 1
}
}
POST https://qrcode.meerabl.com/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Facultatif Chaîne de caractères | URL de destination. |
| url | Facultatif Chaîne de caractères | Alias de l'URL générée. Laissez ce champ vide pour générer un alias aléatoire. |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne de caractères | Disponible lorsque : schedule = true |
| end_date | Facultatif Chaîne de caractères | Disponible lorsque : schedule = true |
| pageviews_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne de caractères | - |
| password | Facultatif Chaîne de caractères | - |
| is_se_visible | Facultatif Booléen | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne de caractères | - |
| utm_medium | Facultatif Chaîne de caractères | - |
| utm_campaign | Facultatif Chaîne de caractères | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne de caractères | - |
| cloaking_meta_description | Facultatif Chaîne de caractères | - |
| cloaking_custom_js | Facultatif Chaîne de caractères | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| targeting_type | Facultatif Chaîne de caractères | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = continent_code |
| is_enabled | Facultatif Booléen | - |
| targeting_country_code_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = country_code |
| is_enabled | Facultatif Booléen | - |
| targeting_city_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = city_name |
| is_enabled | Facultatif Booléen | - |
| targeting_device_type_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = device_type |
| is_enabled | Facultatif Booléen | - |
| targeting_browser_language_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_language |
| is_enabled | Facultatif Booléen | - |
| targeting_rotation_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = rotation |
| is_enabled | Facultatif Booléen | - |
| targeting_os_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = os_name |
| is_enabled | Facultatif Booléen | - |
| targeting_browser_name_key[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne de caractères | Disponible lorsque : targeting_type = browser_name |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qrcode.meerabl.com/api/links/{link_id}
curl --request DELETE \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcode.meerabl.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \